/*
 * CapturePlugin by Andreas Hessel (Vidrec@gmx.de), Bodo Tasche
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * CVS information:
 *  $RCSfile$
 *   $Source$
 *     $Date: 2004-09-19 16:55:25 +0200 (So, 19. Sep 2004) $
 *   $Author: troggan $
 * $Revision: 702 $
 */
package captureplugin.drivers;

/**
 * The Driver. 
 * A Driver creates the Device that handles the 
 * recordings
 */
public interface DriverIf {

    /**
     * The Name of this Driver
     * @return Name
     */
    public String getDriverName();
    /**
     * Description of this Driver
     * @return Description
     */
    public String getDriverDesc();

    /**
     * Creates a Device
     * @param name Name of the Device
     * @return new Device
     */
    public DeviceIf createDevice(String name);

}